Debian Bug report logs - #508168
RFP: wulfware -- a software suite for monitoring nodes in a cluster

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Morten Kjeldgaard <mok@bioxray.au.dk>

Date: Mon, 8 Dec 2008 14:51:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#508168; Package wnpp. (Mon, 08 Dec 2008 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Morten Kjeldgaard <mok@bioxray.au.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 08 Dec 2008 14:51:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Morten Kjeldgaard <mok@bioxray.au.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wulfware -- a software suite for monitoring nodes in a cluster
Date: Mon, 08 Dec 2008 15:49:20 +0100
Package: wnpp
Severity: wishlist
Owner: Morten Kjeldgaard <mok@bioxray.au.dk>


* Package name    : wulfware
  Version         : 2.6.0
  Upstream Author : Robert G. Brown <rgb@phy.duke.edu>
* URL             : http://www.phy.duke.edu/~rgb/Beowulf/wulfware/
* License         : GPL
  Programming Lang: C
  Description     : a cluster monitoring suite
 wulfware is a suite of applications that provide remote monitoring
 information on a beowulf- or GRID-style compute cluster, a server
 farm, or LAN. It consists of the following tools:
 .
 * xmlsysd, a daemon that runs on the host to be monitored. xmlsysd
   can be run under xinetd or as a standalone forking daemon. It
   extracts information from /proc, from systems calls, and from
   selected tools or files, packs it into a set of XML tags, and
   returns that information to the connected monitor host(s). The
   daemon can be throttled to return only the information a monitor
   interface requires to support a particular display.
 .
 * wulfstat, an ncurses based monitor interface. wulfstat permits one
   to monitor an entire cluster or LAN. Statistics it provides include
   a vmstat-like display, load averages only, network statistics only,
   memory information only, system configuration information and duty
   cycle only, and running processes with or without the full command
   line. A cluster or LAN can easily be defined with a few simple
   commands in an XML-based "wulfhosts" file.
 .
 * wulflogger, a command line monitor interface that extracts more or
   less the same data as wulfstat in similarly named displays and
   writes them in formatted lines to stdout. This data format can
   easily be parsed by scripting languages such as perl or python, or
   it can be piped into a file for an archival record of cluster
   activity. The data can thus be used to generate a variety of
   reports, including web or graphical reports.
 .
 * wulfweb, an perl-cgi script to generate a web view of cluster
   statistics using wulflogger. Currently this is basically a working
   perl template for data extraction that can be modified into
   whatever kind of display one likes.  libwulf, the common library
   upon which wulfstat and wulflogger are based. It encapsulates the
   routines that parse wulfhosts and build the requisite data
   structures, manage the connections to all hosts, and poll all
   connected hosts and extract the desired data from the xmlsysd
   return.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Morten Kjeldgaard <mok@bioxray.au.dk>:
Bug#508168; Package wnpp. (Tue, 25 May 2010 17:09:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Morten Kjeldgaard <mok@bioxray.au.dk>. (Tue, 25 May 2010 17:09:39 GMT) Full text and rfc822 format available.

Message #10 received at 508168@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 508168@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wulfware: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:19 +0000
retitle 508168 RFP: wulfware -- a software suite for monitoring nodes in a cluster
noowner 508168
thanks

Hi,

This is an automatic email to change the status of wulfware back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting wulfware, please send a mail to
<control@bugs.debian.org> with:

 retitle 508168 ITP: wulfware -- a software suite for monitoring nodes in a cluster
 owner 508168 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <508168@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: wulfware -- a software suite for monitoring nodes in a cluster' from 'ITP: wulfware -- a software suite for monitoring nodes in a cluster' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:15:12 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Morten Kjeldgaard <mok@bioxray.au.dk>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:15:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:29:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.